Package mpi

# Class LongInt.Data

java.lang.Object
mpi.Struct.Data
mpi.LongInt.Data

Enclosing class:
  `LongInt`

public final class LongInt.Data extends Struct.Data
Class for reading/writing data in a struct stored in a byte buffer.

## Constructor Summary

Constructors
Constructor
Description
`Data()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
Gets the int value.
`long`
`getValue()`
Gets the long value.
`void`
`putIndex(int v)`
Puts the int value.
`void`
`putValue(long v)`
Puts the long value.

### Methods inherited from class mpi.Struct.Data

`getBuffer, getBuffer, getBuffer, getByte, getByte, getChar, getChar, getData, getData, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getShort, getShort, putByte, putByte, putChar, putChar, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Data

public Data()

## Method Details

### getValue

public long getValue()
Gets the long value.

Returns:
  long value

### getIndex

public int getIndex()
Gets the int value.

Returns:
  int value

### putValue

public void putValue(long v)
Puts the long value.

Parameters:
  `v` - long value

### putIndex

public void putIndex(int v)
Puts the int value.

Parameters:
  `v` - int value